Gentoo Archives: gentoo-commits

From: "Michal Gorny (mgorny)" <mgorny@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] gentoo-x86 commit in x11-libs/libX11: libX11-1.6.2.ebuild ChangeLog
Date: Wed, 30 Apr 2014 13:58:08
Message-Id: 20140430135802.818AA2004B@flycatcher.gentoo.org
mgorny      14/04/30 13:58:02

  Modified:             libX11-1.6.2.ebuild ChangeLog
  Log:
  Use multilib_src_compile() rather than hackery on top of multilib_for_best_abi.
  
  (Portage version: 2.2.10/cvs/Linux x86_64, signed Manifest commit with key EFB4464E!)

Revision  Changes    Path
1.11                 x11-libs/libX11/libX11-1.6.2.ebuild

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild?rev=1.11&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild?rev=1.11&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild?r1=1.10&r2=1.11

Index: libX11-1.6.2.ebuild
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild,v
retrieving revision 1.10
retrieving revision 1.11
diff -u -r1.10 -r1.11
--- libX11-1.6.2.ebuild	8 Oct 2013 05:07:29 -0000	1.10
+++ libX11-1.6.2.ebuild	30 Apr 2014 13:58:02 -0000	1.11
@@ -1,6 +1,6 @@
-# Copyright 1999-2013 Gentoo Foundation
+# Copyright 1999-2014 Gentoo Foundation
 # Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild,v 1.10 2013/10/08 05:07:29 ago Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/libX11/libX11-1.6.2.ebuild,v 1.11 2014/04/30 13:58:02 mgorny Exp $
 
 EAPI=5
 
@@ -43,18 +43,18 @@
 	xorg-2_src_configure
 }
 
-src_compile() {
+multilib_src_compile() {
 	# [Cross-Compile Love] Disable {C,LD}FLAGS and redefine CC= for 'makekeys'
 	if tc-is-cross-compiler; then
 		(
 			filter-flags -m*
-			multilib_for_best_abi run_in_build_dir \
-				emake -C src/util \
-				CC=$(tc-getBUILD_CC) \
-				CFLAGS="${CFLAGS}" \
-				LDFLAGS="" \
-				clean all || die
+			emake -C src/util \
+			CC=$(tc-getBUILD_CC) \
+			CFLAGS="${CFLAGS}" \
+			LDFLAGS="" \
+			clean all || die
 		)
 	fi
-	xorg-2_src_compile
+
+	default
 }



1.219                x11-libs/libX11/ChangeLog

file : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/ChangeLog?rev=1.219&view=markup
plain: http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/ChangeLog?rev=1.219&content-type=text/plain
diff : http://sources.gentoo.org/viewvc.cgi/gentoo-x86/x11-libs/libX11/ChangeLog?r1=1.218&r2=1.219

Index: ChangeLog
===================================================================
RCS file: /var/cvsroot/gentoo-x86/x11-libs/libX11/ChangeLog,v
retrieving revision 1.218
retrieving revision 1.219
diff -u -r1.218 -r1.219
--- ChangeLog	26 Mar 2014 12:23:40 -0000	1.218
+++ ChangeLog	30 Apr 2014 13:58:02 -0000	1.219
@@ -1,6 +1,10 @@
 # ChangeLog for x11-libs/libX11
 # Copyright 1999-2014 Gentoo Foundation; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/x11-libs/libX11/ChangeLog,v 1.218 2014/03/26 12:23:40 chithanh Exp $
+# $Header: /var/cvsroot/gentoo-x86/x11-libs/libX11/ChangeLog,v 1.219 2014/04/30 13:58:02 mgorny Exp $
+
+  30 Apr 2014; Michał Górny <mgorny@g.o> libX11-1.6.2.ebuild:
+  Use multilib_src_compile() rather than hackery on top of
+  multilib_for_best_abi.
 
   26 Mar 2014; Chí-Thanh Christopher Nguyễn <chithanh@g.o>
   -libX11-1.5.0-r1.ebuild, -libX11-1.5.0.ebuild, -libX11-1.6.0.ebuild,